import './demo1.css';
import React from 'react';
import ReactDOM from 'react-dom';
import SplitButton from '..';
import { Box } from '../..';
const { Item } = SplitButton;
const menu = ['Undo', 'Redo', 'Cut', 'Copy', 'Paste'].map(item => (React.createElement(Item, { key: item }, item)));
ReactDOM.render(React.createElement(React.Fragment, null,
    React.createElement(Box, { direction: "row", align: "center", spacing: 20, style: { marginBottom: 20 } },
        React.createElement("span", { className: "label" }, "Large:"),
        React.createElement("br", null),
        React.createElement(SplitButton, { size: "large", label: "Edit Document" }, menu),
        React.createElement(SplitButton, { size: "large", label: "Edit Document", type: "secondary" }, menu)),
    React.createElement(Box, { direction: "row", align: "center", spacing: 20, style: { marginBottom: 20 } },
        React.createElement("span", { className: "label" }, "Medium:"),
        React.createElement("br", null),
        React.createElement(SplitButton, { size: "medium", label: "Edit Document" }, menu),
        React.createElement(SplitButton, { size: "medium", label: "Edit Document", type: "secondary" }, menu)),
    React.createElement(Box, { direction: "row", align: "center", spacing: 20, style: { marginBottom: 20 } },
        React.createElement("span", { className: "label" }, "Small:"),
        React.createElement("br", null),
        React.createElement(SplitButton, { size: "small", label: "Edit Document" }, menu),
        React.createElement(SplitButton, { size: "small", label: "Edit Document", type: "secondary" }, menu)),
    React.createElement(Box, { direction: "row", align: "center", spacing: 20, style: { marginBottom: 20 } },
        React.createElement("span", { className: "label" }, "XS:"),
        React.createElement("br", null),
        React.createElement(SplitButton, { size: "xs", label: "Edit Document" }, menu),
        React.createElement(SplitButton, { size: "xs", label: "Edit Document", type: "secondary" }, menu))), document.getElementById('split-button-demo-1'));
